Index: c/src/lib/libc/assoc.c
===================================================================
--- c/src/lib/libc/assoc.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libc/assoc.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,5 +1,5 @@
 /*
- *	@(#)assoc.c	1.4 - 95/08/02
- *	
+ *	@(#)assoc.c	1.6 - 95/10/25
+ *
  *
  * assoc.c
@@ -9,5 +9,4 @@
  */
 
-
 #include <rtems.h>
 #include "assoc.h"
@@ -19,11 +18,11 @@
 #define rtems_assoc_is_default(ap)  ((ap)->name && STREQ(ap->name, RTEMS_ASSOC_DEFAULT_NAME))
 
-rtems_assoc_t *
+const rtems_assoc_t *
 rtems_assoc_ptr_by_name(
-    rtems_assoc_t *ap,
-    char *name
-  )
-{
-    rtems_assoc_t *default_ap = 0;
+    const rtems_assoc_t *ap,
+    const char *name
+  )
+{
+    const rtems_assoc_t *default_ap = 0;
 
     if (rtems_assoc_is_default(ap))
@@ -37,11 +36,11 @@
 }
 
-rtems_assoc_t *
+const rtems_assoc_t *
 rtems_assoc_ptr_by_local(
-    rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{
-    rtems_assoc_t *default_ap = 0;
+    const rtems_assoc_t *ap,
+    unsigned32     local_value
+  )
+{
+    const rtems_assoc_t *default_ap = 0;
 
     if (rtems_assoc_is_default(ap))
@@ -56,11 +55,11 @@
 
 
-rtems_assoc_t *
+const rtems_assoc_t *
 rtems_assoc_ptr_by_remote(
-    rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{
-    rtems_assoc_t *default_ap = 0;
+    const rtems_assoc_t *ap,
+    unsigned32     remote_value
+  )
+{
+    const rtems_assoc_t *default_ap = 0;
 
     if (rtems_assoc_is_default(ap))
@@ -81,9 +80,9 @@
 unsigned32
 rtems_assoc_remote_by_local(
-    rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     local_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_local(ap, local_value);
     if (nap)
@@ -95,9 +94,9 @@
 unsigned32
 rtems_assoc_local_by_remote(
-    rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     remote_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_remote(ap, remote_value);
     if (nap)
@@ -109,9 +108,9 @@
 unsigned32
 rtems_assoc_remote_by_name(
-    rtems_assoc_t *ap,
-    char          *name
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    const char          *name
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_name(ap, name);
     if (nap)
@@ -123,9 +122,9 @@
 unsigned32
 rtems_assoc_local_by_name(
-    rtems_assoc_t *ap,
-    char          *name
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    const char          *name
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_name(ap, name);
     if (nap)
@@ -140,23 +139,27 @@
  */
 
-char *
+const char *
 rtems_assoc_name_bad(
     unsigned32 bad_value
 )
 {
+#ifdef RTEMS_DEBUG
     static char bad_buffer[32];
 
     sprintf(bad_buffer, "< %d [0x%x] >", bad_value, bad_value);
+#else
+    static char bad_buffer[32] = "<assoc.c: BAD NAME>";
+#endif
     return bad_buffer;
 }
 
 
-char *
+const char *
 rtems_assoc_name_by_local(
-    rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     local_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_local(ap, local_value);
     if (nap)
@@ -166,11 +169,11 @@
 }
 
-char *
+const char *
 rtems_assoc_name_by_remote(
-    rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     remote_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_remote(ap, remote_value);
     if (nap)
@@ -186,5 +189,5 @@
 
 unsigned32 rtems_assoc_remote_by_local_bitfield(
-    rtems_assoc_t *ap,
+    const rtems_assoc_t *ap,
     unsigned32     local_value
   )
@@ -202,5 +205,5 @@
 
 unsigned32 rtems_assoc_local_by_remote_bitfield(
-    rtems_assoc_t *ap,
+    const rtems_assoc_t *ap,
     unsigned32     remote_value
   )
@@ -216,6 +219,7 @@
 }
 
-char *rtems_assoc_name_by_remote_bitfield(
-    rtems_assoc_t *ap,
+char *
+rtems_assoc_name_by_remote_bitfield(
+    const rtems_assoc_t *ap,
     unsigned32     value,
     char          *buffer
@@ -237,6 +241,7 @@
 }
 
-char *rtems_assoc_name_by_local_bitfield(
-    rtems_assoc_t *ap,
+char *
+rtems_assoc_name_by_local_bitfield(
+    const rtems_assoc_t *ap,
     unsigned32     value,
     char          *buffer
Index: c/src/lib/libc/assoc.h
===================================================================
--- c/src/lib/libc/assoc.h	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libc/assoc.h	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,4 +1,4 @@
 /*
- *	@(#)assoc.h	1.2 - 95/06/28
+ *	@(#)assoc.h	1.4 - 95/10/25
  *	
  *
@@ -14,5 +14,5 @@
 
 typedef struct {
-    char *name;
+    const char   *name;
     unsigned32   local_value;
     unsigned32   remote_value;
@@ -25,19 +25,19 @@
 #define RTEMS_ASSOC_DEFAULT_NAME "(default)"
 
-rtems_assoc_t *rtems_assoc_ptr_by_name(rtems_assoc_t *, char *);
-rtems_assoc_t *rtems_assoc_ptr_by_value(rtems_assoc_t *, unsigned32);
-rtems_assoc_t *rtems_assoc_ptr_by_remote(rtems_assoc_t *, unsigned32);
+const rtems_assoc_t *rtems_assoc_ptr_by_name(const rtems_assoc_t *, const char *);
+const rtems_assoc_t *rtems_assoc_ptr_by_value(const rtems_assoc_t *, unsigned32);
+const rtems_assoc_t *rtems_assoc_ptr_by_remote(const rtems_assoc_t *, unsigned32);
 
-unsigned32   rtems_assoc_remote_by_local(rtems_assoc_t *, unsigned32);
-unsigned32   rtems_assoc_local_by_remote(rtems_assoc_t *, unsigned32);
-unsigned32   rtems_assoc_remote_by_name(rtems_assoc_t *, char *);
-unsigned32   rtems_assoc_local_by_name(rtems_assoc_t *, char *);
-char        *rtems_assoc_name_by_local(rtems_assoc_t *, unsigned32);
-char        *rtems_assoc_name_by_remote(rtems_assoc_t *, unsigned32);
+unsigned32   rtems_assoc_remote_by_local(const rtems_assoc_t *, unsigned32);
+unsigned32   rtems_assoc_local_by_remote(const rtems_assoc_t *, unsigned32);
+unsigned32   rtems_assoc_remote_by_name(const rtems_assoc_t *, const char *);
+unsigned32   rtems_assoc_local_by_name(const rtems_assoc_t *, const char *);
+const char  *rtems_assoc_name_by_local(const rtems_assoc_t *, unsigned32);
+const char  *rtems_assoc_name_by_remote(const rtems_assoc_t *, unsigned32);
 
-unsigned32   rtems_assoc_remote_by_local_bitfield(rtems_assoc_t *, unsigned32);
-char        *rtems_assoc_name_by_local_bitfield(rtems_assoc_t *, unsigned32, char *);
-char        *rtems_assoc_name_by_remote_bitfield(rtems_assoc_t *, unsigned32, char *);
-unsigned32   rtems_assoc_local_by_remote_bitfield(rtems_assoc_t *ap, unsigned32);
+unsigned32   rtems_assoc_remote_by_local_bitfield(const rtems_assoc_t *, unsigned32);
+char  *rtems_assoc_name_by_local_bitfield(const rtems_assoc_t *, unsigned32, char *);
+char  *rtems_assoc_name_by_remote_bitfield(const rtems_assoc_t *, unsigned32, char *);
+unsigned32   rtems_assoc_local_by_remote_bitfield(const rtems_assoc_t *, unsigned32);
 
 
Index: c/src/lib/libc/error.c
===================================================================
--- c/src/lib/libc/error.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libc/error.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,9 +1,8 @@
 /*
- *	@(#)error.c	1.2 - 95/08/02
+ *	@(#)error.c	1.6 - 95/12/12
  *	
  *
- * report errors and panics to RTEMS' stderr.
- * Currently just used by RTEMS monitor.
- *
+ *  report errors and panics to RTEMS' stderr.
+ *  Currently just used by RTEMS monitor.
  *
  *  $Id$
@@ -98,5 +97,5 @@
 
 
-char *
+const char *
 rtems_status_text(
     rtems_status_code status
@@ -109,5 +108,5 @@
 static int rtems_verror(
     unsigned32   error_flag,
-    char        *printf_format,
+    const char   *printf_format,
     va_list      arglist
 )
@@ -182,5 +181,5 @@
 int rtems_error(
     int   error_flag,
-    char *printf_format,
+    const char *printf_format,
     ...
   )
@@ -201,5 +200,5 @@
 
 void rtems_panic(
-    char *printf_format,
+    const char *printf_format,
     ...
   )
Index: c/src/lib/libc/error.h
===================================================================
--- c/src/lib/libc/error.h	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libc/error.h	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,4 +1,5 @@
+
 /*
- *	@(#)error.h	1.1 - 95/08/02
+ *	@(#)error.h	1.3 - 95/10/25
  *	
  *
@@ -7,4 +8,7 @@
  *  $Id$
  */
+
+#ifndef __RTEMS_ERROR_h
+#define __RTEMS_ERROR_h
 
 /*
@@ -19,8 +23,10 @@
                              RTEMS_ERROR_PANIC) /* all */
 
-char *rtems_status_text(rtems_status_code);
-int   rtems_error(int error_code, char *printf_format, ...);
-void  rtems_panic(char *printf_format, ...);
+const char *rtems_status_text(rtems_status_code);
+int   rtems_error(int error_code, const char *printf_format, ...);
+void  rtems_panic(const char *printf_format, ...);
 
 extern int rtems_panic_in_progress;
 
+#endif
+/* end of include file */
Index: c/src/lib/libc/libcsupport.h
===================================================================
--- c/src/lib/libc/libcsupport.h	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libc/libcsupport.h	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -30,5 +30,8 @@
 );
 
+extern void malloc_dump(void);
 extern void libc_init(int reentrant);
+extern int  host_errno(void);
+extern void fix_syscall_errno(void);
 
 #ifdef __cplusplus
@@ -36,7 +39,4 @@
 #endif
 
-extern int  host_errno(void);
-extern void fix_syscall_errno(void);
-
 #endif
 /* end of include file */
Index: c/src/lib/libc/libio.c
===================================================================
--- c/src/lib/libc/libio.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libc/libio.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -16,5 +16,5 @@
 #include <stdio.h>                      /* O_RDONLY, et.al. */
 #include <fcntl.h>                      /* O_RDONLY, et.al. */
-#include <sys/fcntl.h>                      /* O_RDONLY, et.al. */
+
 #if defined(solaris2)
 #define O_NDELAY O_NONBLOCK
@@ -22,4 +22,5 @@
 #define O_NDELAY _FNBIO
 #endif
+
 #include <errno.h>
 #include <string.h>                     /* strcmp */
@@ -209,5 +210,5 @@
             rc = rtems_semaphore_create(
               RTEMS_LIBIO_IOP_SEM(iop - rtems_libio_iops),
-              1, 
+              1,
               RTEMS_BINARY_SEMAPHORE | RTEMS_INHERIT_PRIORITY | RTEMS_PRIORITY,
               RTEMS_NO_PRIORITY,
Index: c/src/lib/libc/no_libc.c
===================================================================
--- c/src/lib/libc/no_libc.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libc/no_libc.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,3 +1,3 @@
-#if  !defined(RTEMS_LIBC) && !defined(RTEMS_NEWLIB) && !defined(RTEMS_UNIX)
+#if  !defined(RTEMS_NEWLIB) && !defined(RTEMS_UNIX)
 
 /*  no_libc.h
Index: c/src/lib/libmisc/assoc/assoc.c
===================================================================
--- c/src/lib/libmisc/assoc/assoc.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libmisc/assoc/assoc.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,5 +1,5 @@
 /*
- *	@(#)assoc.c	1.4 - 95/08/02
- *	
+ *	@(#)assoc.c	1.6 - 95/10/25
+ *
  *
  * assoc.c
@@ -9,5 +9,4 @@
  */
 
-
 #include <rtems.h>
 #include "assoc.h"
@@ -19,11 +18,11 @@
 #define rtems_assoc_is_default(ap)  ((ap)->name && STREQ(ap->name, RTEMS_ASSOC_DEFAULT_NAME))
 
-rtems_assoc_t *
+const rtems_assoc_t *
 rtems_assoc_ptr_by_name(
-    rtems_assoc_t *ap,
-    char *name
-  )
-{
-    rtems_assoc_t *default_ap = 0;
+    const rtems_assoc_t *ap,
+    const char *name
+  )
+{
+    const rtems_assoc_t *default_ap = 0;
 
     if (rtems_assoc_is_default(ap))
@@ -37,11 +36,11 @@
 }
 
-rtems_assoc_t *
+const rtems_assoc_t *
 rtems_assoc_ptr_by_local(
-    rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{
-    rtems_assoc_t *default_ap = 0;
+    const rtems_assoc_t *ap,
+    unsigned32     local_value
+  )
+{
+    const rtems_assoc_t *default_ap = 0;
 
     if (rtems_assoc_is_default(ap))
@@ -56,11 +55,11 @@
 
 
-rtems_assoc_t *
+const rtems_assoc_t *
 rtems_assoc_ptr_by_remote(
-    rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{
-    rtems_assoc_t *default_ap = 0;
+    const rtems_assoc_t *ap,
+    unsigned32     remote_value
+  )
+{
+    const rtems_assoc_t *default_ap = 0;
 
     if (rtems_assoc_is_default(ap))
@@ -81,9 +80,9 @@
 unsigned32
 rtems_assoc_remote_by_local(
-    rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     local_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_local(ap, local_value);
     if (nap)
@@ -95,9 +94,9 @@
 unsigned32
 rtems_assoc_local_by_remote(
-    rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     remote_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_remote(ap, remote_value);
     if (nap)
@@ -109,9 +108,9 @@
 unsigned32
 rtems_assoc_remote_by_name(
-    rtems_assoc_t *ap,
-    char          *name
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    const char          *name
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_name(ap, name);
     if (nap)
@@ -123,9 +122,9 @@
 unsigned32
 rtems_assoc_local_by_name(
-    rtems_assoc_t *ap,
-    char          *name
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    const char          *name
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_name(ap, name);
     if (nap)
@@ -140,23 +139,27 @@
  */
 
-char *
+const char *
 rtems_assoc_name_bad(
     unsigned32 bad_value
 )
 {
+#ifdef RTEMS_DEBUG
     static char bad_buffer[32];
 
     sprintf(bad_buffer, "< %d [0x%x] >", bad_value, bad_value);
+#else
+    static char bad_buffer[32] = "<assoc.c: BAD NAME>";
+#endif
     return bad_buffer;
 }
 
 
-char *
+const char *
 rtems_assoc_name_by_local(
-    rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     local_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_local(ap, local_value);
     if (nap)
@@ -166,11 +169,11 @@
 }
 
-char *
+const char *
 rtems_assoc_name_by_remote(
-    rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     remote_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_remote(ap, remote_value);
     if (nap)
@@ -186,5 +189,5 @@
 
 unsigned32 rtems_assoc_remote_by_local_bitfield(
-    rtems_assoc_t *ap,
+    const rtems_assoc_t *ap,
     unsigned32     local_value
   )
@@ -202,5 +205,5 @@
 
 unsigned32 rtems_assoc_local_by_remote_bitfield(
-    rtems_assoc_t *ap,
+    const rtems_assoc_t *ap,
     unsigned32     remote_value
   )
@@ -216,6 +219,7 @@
 }
 
-char *rtems_assoc_name_by_remote_bitfield(
-    rtems_assoc_t *ap,
+char *
+rtems_assoc_name_by_remote_bitfield(
+    const rtems_assoc_t *ap,
     unsigned32     value,
     char          *buffer
@@ -237,6 +241,7 @@
 }
 
-char *rtems_assoc_name_by_local_bitfield(
-    rtems_assoc_t *ap,
+char *
+rtems_assoc_name_by_local_bitfield(
+    const rtems_assoc_t *ap,
     unsigned32     value,
     char          *buffer
Index: c/src/lib/libmisc/assoc/assoc.h
===================================================================
--- c/src/lib/libmisc/assoc/assoc.h	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libmisc/assoc/assoc.h	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,4 +1,4 @@
 /*
- *	@(#)assoc.h	1.2 - 95/06/28
+ *	@(#)assoc.h	1.4 - 95/10/25
  *	
  *
@@ -14,5 +14,5 @@
 
 typedef struct {
-    char *name;
+    const char   *name;
     unsigned32   local_value;
     unsigned32   remote_value;
@@ -25,19 +25,19 @@
 #define RTEMS_ASSOC_DEFAULT_NAME "(default)"
 
-rtems_assoc_t *rtems_assoc_ptr_by_name(rtems_assoc_t *, char *);
-rtems_assoc_t *rtems_assoc_ptr_by_value(rtems_assoc_t *, unsigned32);
-rtems_assoc_t *rtems_assoc_ptr_by_remote(rtems_assoc_t *, unsigned32);
+const rtems_assoc_t *rtems_assoc_ptr_by_name(const rtems_assoc_t *, const char *);
+const rtems_assoc_t *rtems_assoc_ptr_by_value(const rtems_assoc_t *, unsigned32);
+const rtems_assoc_t *rtems_assoc_ptr_by_remote(const rtems_assoc_t *, unsigned32);
 
-unsigned32   rtems_assoc_remote_by_local(rtems_assoc_t *, unsigned32);
-unsigned32   rtems_assoc_local_by_remote(rtems_assoc_t *, unsigned32);
-unsigned32   rtems_assoc_remote_by_name(rtems_assoc_t *, char *);
-unsigned32   rtems_assoc_local_by_name(rtems_assoc_t *, char *);
-char        *rtems_assoc_name_by_local(rtems_assoc_t *, unsigned32);
-char        *rtems_assoc_name_by_remote(rtems_assoc_t *, unsigned32);
+unsigned32   rtems_assoc_remote_by_local(const rtems_assoc_t *, unsigned32);
+unsigned32   rtems_assoc_local_by_remote(const rtems_assoc_t *, unsigned32);
+unsigned32   rtems_assoc_remote_by_name(const rtems_assoc_t *, const char *);
+unsigned32   rtems_assoc_local_by_name(const rtems_assoc_t *, const char *);
+const char  *rtems_assoc_name_by_local(const rtems_assoc_t *, unsigned32);
+const char  *rtems_assoc_name_by_remote(const rtems_assoc_t *, unsigned32);
 
-unsigned32   rtems_assoc_remote_by_local_bitfield(rtems_assoc_t *, unsigned32);
-char        *rtems_assoc_name_by_local_bitfield(rtems_assoc_t *, unsigned32, char *);
-char        *rtems_assoc_name_by_remote_bitfield(rtems_assoc_t *, unsigned32, char *);
-unsigned32   rtems_assoc_local_by_remote_bitfield(rtems_assoc_t *ap, unsigned32);
+unsigned32   rtems_assoc_remote_by_local_bitfield(const rtems_assoc_t *, unsigned32);
+char  *rtems_assoc_name_by_local_bitfield(const rtems_assoc_t *, unsigned32, char *);
+char  *rtems_assoc_name_by_remote_bitfield(const rtems_assoc_t *, unsigned32, char *);
+unsigned32   rtems_assoc_local_by_remote_bitfield(const rtems_assoc_t *, unsigned32);
 
 
Index: c/src/lib/libmisc/error/error.c
===================================================================
--- c/src/lib/libmisc/error/error.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libmisc/error/error.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,9 +1,8 @@
 /*
- *	@(#)error.c	1.2 - 95/08/02
+ *	@(#)error.c	1.6 - 95/12/12
  *	
  *
- * report errors and panics to RTEMS' stderr.
- * Currently just used by RTEMS monitor.
- *
+ *  report errors and panics to RTEMS' stderr.
+ *  Currently just used by RTEMS monitor.
  *
  *  $Id$
@@ -98,5 +97,5 @@
 
 
-char *
+const char *
 rtems_status_text(
     rtems_status_code status
@@ -109,5 +108,5 @@
 static int rtems_verror(
     unsigned32   error_flag,
-    char        *printf_format,
+    const char   *printf_format,
     va_list      arglist
 )
@@ -182,5 +181,5 @@
 int rtems_error(
     int   error_flag,
-    char *printf_format,
+    const char *printf_format,
     ...
   )
@@ -201,5 +200,5 @@
 
 void rtems_panic(
-    char *printf_format,
+    const char *printf_format,
     ...
   )
Index: c/src/lib/libmisc/error/error.h
===================================================================
--- c/src/lib/libmisc/error/error.h	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libmisc/error/error.h	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,4 +1,5 @@
+
 /*
- *	@(#)error.h	1.1 - 95/08/02
+ *	@(#)error.h	1.3 - 95/10/25
  *	
  *
@@ -7,4 +8,7 @@
  *  $Id$
  */
+
+#ifndef __RTEMS_ERROR_h
+#define __RTEMS_ERROR_h
 
 /*
@@ -19,8 +23,10 @@
                              RTEMS_ERROR_PANIC) /* all */
 
-char *rtems_status_text(rtems_status_code);
-int   rtems_error(int error_code, char *printf_format, ...);
-void  rtems_panic(char *printf_format, ...);
+const char *rtems_status_text(rtems_status_code);
+int   rtems_error(int error_code, const char *printf_format, ...);
+void  rtems_panic(const char *printf_format, ...);
 
 extern int rtems_panic_in_progress;
 
+#endif
+/* end of include file */
Index: c/src/lib/libmisc/monitor/mon-monitor.c
===================================================================
--- c/src/lib/libmisc/monitor/mon-monitor.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libmisc/monitor/mon-monitor.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,5 +1,6 @@
 /*
- *	@(#)monitor.c	1.18 - 95/08/02
+ *	@(#)monitor.c	1.22 - 95/11/02
  *	
+ *
  *
  * RTEMS monitor main body
@@ -18,4 +19,8 @@
  *      remote request/response stuff should be cleaned up
  *         maybe we can use real rpc??
+ *      'info' commadn to print out:
+ *           interrupt stack location, direction and size
+ *           floating point config stuff
+ *           interrupt config stuff
  *
  *  $Id$
@@ -228,5 +233,5 @@
       "  A continue from the debugger will return to the monitor.\n",
       0,
-      CPU_INVOKE_DEBUGGER,
+      rtems_monitor_debugger_cmd,
       0,
     },
@@ -297,4 +302,16 @@
 }
 
+void
+rtems_monitor_debugger_cmd(
+    int        argc,
+    char     **argv,
+    unsigned32 command_arg,
+    boolean    verbose
+)
+{
+#ifdef CPU_INVOKE_DEBUGGER
+    CPU_INVOKE_DEBUGGER;
+#endif
+}
 
 void
@@ -339,20 +356,12 @@
  *              400a7090 ? _Configuration_Table
  *
- *
  *      We ignore the type field.
- *
- *  Parameters:
- *
- *
- *  Returns:
- *
  *
  *  Side Effects:
  *      Creates and fills in 'rtems_monitor_symbols' table
  *
- *  Notes:
- *
- *
- *  Deficiencies/ToDo:
+ *  TODO
+ *      there should be a BSP #define or something like that
+ *         to do this;  Assuming stdio is crazy.
  *      Someday this should know BFD
  *              Maybe we could get objcopy to just copy the symbol areas
@@ -374,5 +383,5 @@
         return;
 
-#ifdef simhppa
+#ifdef SIMHPPA
     fp = fdopen(8, "r");                /* don't ask; don't tell */
 #else
Index: c/src/lib/libmisc/monitor/mon-prmisc.c
===================================================================
--- c/src/lib/libmisc/monitor/mon-prmisc.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libmisc/monitor/mon-prmisc.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -71,5 +71,5 @@
     unsigned32 b;
     unsigned32 length = 0;
-    char *name;
+    const char *name;
 
     for (b = 1; b; b <<= 1)
Index: c/src/lib/libmisc/monitor/monitor.h
===================================================================
--- c/src/lib/libmisc/monitor/monitor.h	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/lib/libmisc/monitor/monitor.h	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,5 +1,6 @@
 /*
- *      @(#)monitor.h	1.14 - 95/08/02
+ *      @(#)monitor.h	1.20 - 95/12/12
  *      
+ *
  *  $Id$
  */
@@ -319,4 +320,5 @@
 void    rtems_monitor_fatal_cmd(int, char **, unsigned32, boolean);
 void    rtems_monitor_continue_cmd(int, char **, unsigned32, boolean);
+void    rtems_monitor_debugger_cmd(int, char **, unsigned32, boolean);
 void    rtems_monitor_node_cmd(int, char **, unsigned32, boolean);
 void    rtems_monitor_symbols_loadup(void);
Index: c/src/libchip/shmdr/getlq.c
===================================================================
--- c/src/libchip/shmdr/getlq.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/libchip/shmdr/getlq.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -23,5 +23,5 @@
 
 #include <rtems.h>
-#include "shm.h"
+#include <shm.h>
 
 Shm_Envelope_control *Shm_Locked_queue_Get(
Index: c/src/libchip/shmdr/shm_driver.h
===================================================================
--- c/src/libchip/shmdr/shm_driver.h	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/libchip/shmdr/shm_driver.h	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -471,9 +471,5 @@
 void           Init_env_pool();
 void           Shm_Print_statistics( void );
-void           MPCI_Fatal(
-  Internal_errors_Source  source,
-  boolean                 is_internal,
-  rtems_unsigned32        error
- );
+void           MPCI_Fatal( Internal_errors_Source, boolean, rtems_unsigned32 );
 rtems_task     Shm_Cause_interrupt( rtems_unsigned32 );
 void           Shm_Poll();
Index: c/src/libmisc/assoc/assoc.c
===================================================================
--- c/src/libmisc/assoc/assoc.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/libmisc/assoc/assoc.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,5 +1,5 @@
 /*
- *	@(#)assoc.c	1.4 - 95/08/02
- *	
+ *	@(#)assoc.c	1.6 - 95/10/25
+ *
  *
  * assoc.c
@@ -9,5 +9,4 @@
  */
 
-
 #include <rtems.h>
 #include "assoc.h"
@@ -19,11 +18,11 @@
 #define rtems_assoc_is_default(ap)  ((ap)->name && STREQ(ap->name, RTEMS_ASSOC_DEFAULT_NAME))
 
-rtems_assoc_t *
+const rtems_assoc_t *
 rtems_assoc_ptr_by_name(
-    rtems_assoc_t *ap,
-    char *name
-  )
-{
-    rtems_assoc_t *default_ap = 0;
+    const rtems_assoc_t *ap,
+    const char *name
+  )
+{
+    const rtems_assoc_t *default_ap = 0;
 
     if (rtems_assoc_is_default(ap))
@@ -37,11 +36,11 @@
 }
 
-rtems_assoc_t *
+const rtems_assoc_t *
 rtems_assoc_ptr_by_local(
-    rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{
-    rtems_assoc_t *default_ap = 0;
+    const rtems_assoc_t *ap,
+    unsigned32     local_value
+  )
+{
+    const rtems_assoc_t *default_ap = 0;
 
     if (rtems_assoc_is_default(ap))
@@ -56,11 +55,11 @@
 
 
-rtems_assoc_t *
+const rtems_assoc_t *
 rtems_assoc_ptr_by_remote(
-    rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{
-    rtems_assoc_t *default_ap = 0;
+    const rtems_assoc_t *ap,
+    unsigned32     remote_value
+  )
+{
+    const rtems_assoc_t *default_ap = 0;
 
     if (rtems_assoc_is_default(ap))
@@ -81,9 +80,9 @@
 unsigned32
 rtems_assoc_remote_by_local(
-    rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     local_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_local(ap, local_value);
     if (nap)
@@ -95,9 +94,9 @@
 unsigned32
 rtems_assoc_local_by_remote(
-    rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     remote_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_remote(ap, remote_value);
     if (nap)
@@ -109,9 +108,9 @@
 unsigned32
 rtems_assoc_remote_by_name(
-    rtems_assoc_t *ap,
-    char          *name
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    const char          *name
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_name(ap, name);
     if (nap)
@@ -123,9 +122,9 @@
 unsigned32
 rtems_assoc_local_by_name(
-    rtems_assoc_t *ap,
-    char          *name
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    const char          *name
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_name(ap, name);
     if (nap)
@@ -140,23 +139,27 @@
  */
 
-char *
+const char *
 rtems_assoc_name_bad(
     unsigned32 bad_value
 )
 {
+#ifdef RTEMS_DEBUG
     static char bad_buffer[32];
 
     sprintf(bad_buffer, "< %d [0x%x] >", bad_value, bad_value);
+#else
+    static char bad_buffer[32] = "<assoc.c: BAD NAME>";
+#endif
     return bad_buffer;
 }
 
 
-char *
+const char *
 rtems_assoc_name_by_local(
-    rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     local_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_local(ap, local_value);
     if (nap)
@@ -166,11 +169,11 @@
 }
 
-char *
+const char *
 rtems_assoc_name_by_remote(
-    rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{
-    rtems_assoc_t *nap;
+    const rtems_assoc_t *ap,
+    unsigned32     remote_value
+  )
+{
+    const rtems_assoc_t *nap;
     nap = rtems_assoc_ptr_by_remote(ap, remote_value);
     if (nap)
@@ -186,5 +189,5 @@
 
 unsigned32 rtems_assoc_remote_by_local_bitfield(
-    rtems_assoc_t *ap,
+    const rtems_assoc_t *ap,
     unsigned32     local_value
   )
@@ -202,5 +205,5 @@
 
 unsigned32 rtems_assoc_local_by_remote_bitfield(
-    rtems_assoc_t *ap,
+    const rtems_assoc_t *ap,
     unsigned32     remote_value
   )
@@ -216,6 +219,7 @@
 }
 
-char *rtems_assoc_name_by_remote_bitfield(
-    rtems_assoc_t *ap,
+char *
+rtems_assoc_name_by_remote_bitfield(
+    const rtems_assoc_t *ap,
     unsigned32     value,
     char          *buffer
@@ -237,6 +241,7 @@
 }
 
-char *rtems_assoc_name_by_local_bitfield(
-    rtems_assoc_t *ap,
+char *
+rtems_assoc_name_by_local_bitfield(
+    const rtems_assoc_t *ap,
     unsigned32     value,
     char          *buffer
Index: c/src/libmisc/assoc/assoc.h
===================================================================
--- c/src/libmisc/assoc/assoc.h	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ c/src/libmisc/assoc/assoc.h	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -1,4 +1,4 @@
 /*
- *	@(#)assoc.h	1.2 - 95/06/28
+ *	@(#)assoc.h	1.4 - 95/10/25
  *	
  *
@@ -14,5 +14,5 @@
 
 typedef struct {
-    char *name;
+    const char   *name;
     unsigned32   local_value;
     unsigned32   remote_value;
@@ -25,19 +25,19 @@
 #define RTEMS_ASSOC_DEFAULT_NAME "(default)"
 
-rtems_assoc_t *rtems_assoc_ptr_by_name(rtems_assoc_t *, char *);
-rtems_assoc_t *rtems_assoc_ptr_by_value(rtems_assoc_t *, unsigned32);
-rtems_assoc_t *rtems_assoc_ptr_by_remote(rtems_assoc_t *, unsigned32);
+const rtems_assoc_t *rtems_assoc_ptr_by_name(const rtems_assoc_t *, const char *);
+const rtems_assoc_t *rtems_assoc_ptr_by_value(const rtems_assoc_t *, unsigned32);
+const rtems_assoc_t *rtems_assoc_ptr_by_remote(const rtems_assoc_t *, unsigned32);
 
-unsigned32   rtems_assoc_remote_by_local(rtems_assoc_t *, unsigned32);
-unsigned32   rtems_assoc_local_by_remote(rtems_assoc_t *, unsigned32);
-unsigned32   rtems_assoc_remote_by_name(rtems_assoc_t *, char *);
-unsigned32   rtems_assoc_local_by_name(rtems_assoc_t *, char *);
-char        *rtems_assoc_name_by_local(rtems_assoc_t *, unsigned32);
-char        *rtems_assoc_name_by_remote(rtems_assoc_t *, unsigned32);
+unsigned32   rtems_assoc_remote_by_local(const rtems_assoc_t *, unsigned32);
+unsigned32   rtems_assoc_local_by_remote(const rtems_assoc_t *, unsigned32);
+unsigned32   rtems_assoc_remote_by_name(const rtems_assoc_t *, const char *);
+unsigned32   rtems_assoc_local_by_name(const rtems_assoc_t *, const char *);
+const char  *rtems_assoc_name_by_local(const rtems_assoc_t *, unsigned32);
+const char  *rtems_assoc_name_by_remote(const rtems_assoc_t *, unsigned32);
 
-unsigned32   rtems_assoc_remote_by_local_bitfield(rtems_assoc_t *, unsigned32);
-char        *rtems_assoc_name_by_local_bitfield(rtems_assoc_t *, unsigned32, char *);
-char        *rtems_assoc_name_by_remote_bitfield(rtems_assoc_t *, unsigned32, char *);
-unsigned32   rtems_assoc_local_by_remote_bitfield(rtems_assoc_t *ap, unsigned32);
+unsigned32   rtems_assoc_remote_by_local_bitfield(const rtems_assoc_t *, unsigned32);
+char  *rtems_assoc_name_by_local_bitfield(const rtems_assoc_t *, unsigned32, char *);
+char  *rtems_assoc_name_by_remote_bitfield(const rtems_assoc_t *, unsigned32, char *);
+unsigned32   rtems_assoc_local_by_remote_bitfield(const rtems_assoc_t *, unsigned32);
 
 
